<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.ldt.fee.mapper.ProductFeeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="productFeeResultMap" type="org.springblade.ldt.fee.entity.ProductFee">
        <result column="id" property="id"/>
        <result column="create_time" property="createTime"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="request_no" property="requestNo"/>
        <result column="merchant_no" property="merchantNo"/>
        <result column="product_info" property="productInfo"/>
        <result column="application_no" property="applicationNo"/>
        <result column="application_status" property="applicationStatus"/>
        <result column="agreement_sign_url" property="agreementSignUrl"/>
        <result column="audit_opinion" property="auditOpinion"/>
        <result column="progress_description" property="progressDescription"/>
    </resultMap>


    <select id="selectProductFeePage" resultMap="productFeeResultMap">
        select * from ldt_product_fee where is_deleted = 0
    </select>

</mapper>
